while True:
    try:
        ringQuantity = int(input("Enter quantity of rings: "))
        pnlQuantity = int(input("Enter quantity of panels (per ring): "))
        pnlRadius = input("Enter radius of each panel (km): ")
        star = input("Enter name of parent star (or any object): ")
        distance = input("Enter distance of swarm from parent (AU): ")
        inclination = input("Enter orbital inclination of panels: ")
        if True:
            break
    except ValueError:
        print(f'Invalid parameter!\n')
        continue

f = open("dyson_"+str(ringQuantity)+"_"+str(pnlQuantity)+".sc", "w+")

ringNo = 0
pnlNo = 0
meanAnomaly = 360 / pnlQuantity
ascendingNode = 360 / ringQuantity

print(f'\nGenerating {pnlQuantity} panels for {ringQuantity} rings...')

for ringNo in range (int(ringQuantity/2)):
    for pnlNo in range (int(pnlQuantity)):
        f.write(f'Asteroid\t"Ring{ringNo} Panel{pnlNo}"\n'
                '{\n'
                f'	ParentBody     "{star}"\n'
				f'	Radius          {pnlRadius}\n'
                '	Oblateness      (0.0 0.0 0.999)\n'
				'	TidalLocked     true\n'
                '	NoClouds        true\n'
				'	NoAtmosphere    true\n'
				'	NoRings         true\n'
                '	BrightnessReal  10\n'
                '	Surface\n'
				'	{\n'
				'		ModulateColor   (1.0 1.0 1.0)\n'
				'	}\n'
				'	Orbit\n'
				'	{\n'
				'		Epoch            2500000\n'
				f'		SemiMajorAxis    {distance}\n'
				'		Eccentricity     0\n'
				f'		Inclination      {inclination}\n'
				f'		AscendingNode    {ascendingNode}\n'
				'		ArgOfPericenter  0\n'
				f'		MeanAnomaly      {meanAnomaly}\n'
				'	}\n'
				'}\n\n')
        pnlNo += 1
        meanAnomaly += (360/pnlQuantity)
    ringNo += 1
    meanAnomaly = 360 / pnlQuantity
    ascendingNode += (360/ringQuantity)

print("Operation was completed successfully.")